
Smart Proxy - Feature #8748

Allow per-plugin enablement of HTTP in configuration files

12/18/2014 04:29 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Security   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/241

  

Description

For example, one may want to only enable unauthenticated access to the templates plugin, while still restricting the rest of the

plugins to SSL.

Related issues:

Related to Installer - Bug #8990: foreman_proxy puppet module should be aware... Closed 01/16/2015

Blocks Katello - Feature #8991: Support templates plugin in Capsule Closed 01/16/2015

Associated revisions

Revision 59846579 - 12/22/2014 11:48 AM - Greg Sutcliffe 

Fixes #8748 - Allow per-module enabling of http(s)

History

#1 - 12/18/2014 06:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/241 added

- Pull request deleted ()

#2 - 12/22/2014 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 59846579172d655e6021b744f5e23a4ccf77e734.

#3 - 01/02/2015 03:22 AM - Dominic Cleal

- Assignee set to Greg Sutcliffe

- translation missing: en.field_release set to 28

#4 - 01/16/2015 04:50 AM - Dominic Cleal

- Related to Bug #8990: foreman_proxy puppet module should be aware of new plugin http/https settings added

#5 - 01/16/2015 04:55 AM - Stephen Benjamin

- Blocks Feature #8991: Support templates plugin in Capsule added
